apply from: "config.gradle"

buildscript {
    ext {
        kotlin_version = '1.3.21'
        support_version = '26.1.0'
        minSdkVersion = 17
        targetSdkVersion = 28
        compileSdkVersion = 28
        buildToolsVersion = '28.0.3'
        arouter_api = '1.4.1'
        arouter_compiler = '1.2.2'
        ydlrouter_version = '1.2.3'
        constrait_support_version = '1.0.2'
    }
    repositories {
        google()

        //壹点灵android maven私服 开发版
        maven{
            url 'http://nexus.yidianling.com/repository/AndroidRepository/'
            credentials {
                username "admin"
                password "fjoi#1+#@"
            }
        }
        maven{
            url 'http://nexus.yidianling.com/repository/AndroidReleases/'
            credentials {
                username "admin"
                password "fjoi#1+#@"
            }
        }

        maven{ url 'http://maven.aliyun.com/nexus/content/groups/public/'}

        maven {
            url 'https://dl.bintray.com/zouyuhan/maven'
        }
        google()
        jcenter()
        maven { url "https://oss.sonatype.org/content/repositories/snapshots/" }
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:3.2.0'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
        classpath 'com.jakewharton:butterknife-gradle-plugin:8.4.0'
        classpath 'com.meituan.android.walle:plugin:1.1.5'
        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
        classpath 'com.meituan.robust:gradle-plugin:0.4.87'
        classpath 'com.meituan.robust:auto-patch-plugin:0.4.87'
        //bugly 符号表
        classpath 'com.tencent.bugly:symtabfileuploader:2.2.1'
        //微信资源混淆
        classpath 'com.tencent.mm:AndResGuard-gradle-plugin:1.2.16'
        classpath 'com.ydl.plugins:modular:1.0.3'
        classpath 'com.ydl:notracepoint-gradle-plugin:0.0.3'
        classpath 'com.github.better.restools:ResTools:1.0.1'
    }
}

allprojects {
    repositories {
        //壹点灵android maven私服 开发版
        maven{
            url 'http://nexus.yidianling.com/repository/AndroidRepository/'
            credentials {
                username "admin"
                password "fjoi#1+#@"
            }
        }
        maven{
            url 'http://nexus.yidianling.com/repository/AndroidReleases/'
            credentials {
                username "admin"
                password "fjoi#1+#@"
            }
        }
        maven{ url 'http://maven.aliyun.com/nexus/content/groups/public/'}
//        maven { url'http://developer.huawei.com/repo/' }
        maven { url "https://jitpack.io" }
        maven {
            url 'https://maven.google.com'
        }
        maven {
            url 'https://dl.bintray.com/zouyuhan/maven'
        }
        google()
        jcenter()
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}


subprojects {
    project.configurations.all {
        //防止support版本冲突，统一设置第三方support版本
        resolutionStrategy.eachDependency { details ->
            if (details.requested.group == 'com.android.support'
                    && !details.requested.name.contains('multidex')) {
                details.useVersion "$support_version"
            }
        }
    }
}


apply plugin: 'modular-plugin'

modular {

    compileSdkVersion 27

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }

    repositories {
        maven {
            url 'http://nexus.yidianling.com/repository/AndroidReleases/'
            credentials {
                username "admin"
                password "fjoi#1+#@"
            }
        }
    }

}
